%define name argouml
%define majorversion 0
%define minorversion 7
%define subminorversion 0
%define version %{majorversion}.%{minorversion}.%{subminorversion}
%define release 3
%define mansections ""
%define prefix /usr
%define bindir %{prefix}/bin
%define sharedir %{prefix}/share
%define jardir %{sharedir}/lib/java/classes
%define group Development/Modelling

Summary:	The Argo UML modelling tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.ics.uci.edu/pub/arch/uml/v07/%{name}%{majorversion}%{minorversion}%{subminorversion}.zip
Source1:	%{name}_echo_classpath
Source2:	%{name}.wrapper
Url:		http://www.ics.uci.edu/pub/arch/uml/
Copyright:	Regents of the University of California
Group:		%{group}
BuildArchitectures: noarch
BuildRoot:	/tmp/%{name}-%{version}-root
Prefix:		%{prefix}
Requires:	xml4j >= 2.0.6, swing >= 1.1.1


%description 
Argo UML is a graphical UML modelling tool.  It supports class, use case and collaboration diagrams.  It also generates Java code.

As a pure Java application, this package should work on any platform [, where
rpm executes].

Argo/UML is being developed as part of the Ph.D. research of Jason
Robbins.  Argo/UML is the latest tool in the Argo family of domain oriented
design environments.  This family of tools has been under development for over
three years. Other tools in the family support C2-style software architectures
and requirements engineering.  All tools in the Argo family allow for
construction of design artifacts and provide decision-support features to help
designers make better designs.  Domain-indepentent features of the Argo
infrastructure include: critics, user models, the "to do" list metaphor,
checklists, multiple perspectives.

We are following the open-source software distribution model. We provide
software with source code free of charge, without promising support.  Users are
encouraged to report problems, contribute fixes or other improvements, and
suggest new features so that Argo/UML may evolve to better fit their needs.


#%package man
#Summary: man pages for %{name}
#Group: Development/Modelling

#%description man
#This package includes the [uncompressed] man pages for %{name}.

#%package man-gz
#Summary: man pages for %{name}
#Group: Development/Modelling
#Provides: %{name}-man

#%description man-gz
#This package includes the compressed man pages for %{name}.
#Note:  helptool obviously cannot search in compressed man pages [but 
#       curiously enough, it can search in compressed info pages !?].  
#       Use the uncompressed ones, if this is not what you want.
#       The glimpse-rman-tkman combo e.g. can search compressed man pages.


%changelog
* Thu Aug 12 1999 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - %{name}-0.7.0-3
  - replaced ``grep -q'' with ``grep ... > /dev/null'' in shell-script ``argouml'' 
    to make it compatible with Solaris grep

* Sat May 15 1999 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - initial package %{name}-0.7.0


%prep
%setup -c -T
unzip ${RPM_SOURCE_DIR}/%{name}%{majorversion}%{minorversion}%{subminorversion}.zip

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{jardir}
mkdir -p $RPM_BUILD_ROOT/%{bindir}
## create directories for man pages:
#for  sect in $(echo %{mansections} | sed 's/[0-9]/& /g')
##					 ^^^ split figures by blanks 
#  do
#    mkdir -p ${RPM_BUILD_ROOT}%{prefix}/man/man${sect}
#  done

mv ${RPM_BUILD_DIR}/%{name}-%{version}/*.jar ${RPM_BUILD_ROOT}%{jardir}/
cp -p ${RPM_SOURCE_DIR}/%{name}_echo_classpath ${RPM_BUILD_ROOT}%{bindir}/echo_%{name}_classpath
cp -p ${RPM_SOURCE_DIR}/%{name}.wrapper ${RPM_BUILD_ROOT}%{bindir}/%{name}
chmod 755 ${RPM_BUILD_ROOT}%{bindir}/*

## compress the man pages:
#for  i in  $(echo ${RPM_BUILD_ROOT}%{prefix}/man/man? | grep -v "${RPM_BUILD_ROOT}%{prefix}/man/man?")
#  do
#    mkdir  $i.gz
#    cp -ad $i/* $i.gz/
#    gzip $i.gz/*
#    cp -adu $i.gz/* $i/
#  done


#%postun
## remove the man sub package:
#  # we have to sleep a bit to give the main rpm task time to finish;
#  # otherwise we would run into locking problems with the the rpm database
#(sleep 5; rpm -q %{name}-man    > /dev/null 2>&1 && rpm -e %{name}-man) &
#(sleep 5; rpm -q %{name}-man-gz > /dev/null 2>&1 && rpm -e %{name}-man-gz) &


%clean
rm -rf $RPM_BUILD_ROOT


%files
%attr(-,root,root)   %{jardir}/*
%attr(-,root,root)   %{bindir}/*

#%files  man
#%attr(644,root,root) %{prefix}/man/man[%{mansections}]/*.[%{mansections}]

#%files  man-gz
#%attr(644,root,root) %{prefix}/man/man[%{mansections}]/*.[%{mansections}].gz

